package dp.abstractFactory.solution2;

public class ApControl {
	private Renderer r; 
	private Shader s;
	public ApControl( LibraryType library ) {
		//library nesnesini ilklendirerek ktphane trn belirle
		switch (library){
			case OpenGL:
				r = new OpenGLRenderer();
				s = new OpenGLShader();
				break;
			case DirectX:
				r = new DirectXRenderer();
				s = new DirectXShader();
				break;
		}
	}
	public void doRendering ( ) {
		r.renderOpA();
		r.renderOpB();
		r.renderOpC();
	}
	public void doShading ( ) { 
		s.shadeOpA();
		s.shadeOpB();
		s.shadeOpC();
	}
}
